LibreOffice: XMenuBar Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
List of all members
XMenuBar Interface Referencepublished

identifies a menu bar. More...

`import <XMenuBar.idl;`

Inheritance diagram for XMenuBar:

## Additional Inherited Members
Public Member Functions inherited from XMenu
void | addMenuListener ([in] XMenuListener xListener)
| adds the specified menu listener to receive events from this menu.
void | removeMenuListener ([in] XMenuListener xListener)
| removes the specified menu listener so that it no longer receives events from this menu.
void | insertItem ([in] short nItemId, [in] string aText, [in] short nItemStyle, [in] short nItemPos)
| inserts an item into the menu.
void | removeItem ([in] short nItemPos, [in] short nCount)
| removes one or more items from the menu.
void | clear ()
| removes all items from the menu.
short | getItemCount ()
| returns the number of items in the menu.
short | getItemId ([in] short nItemPos)
| returns the ID of the item at the specified position.
short | getItemPos ([in] short nItemId)
| returns the position of the item with the specified ID.
::com::sun::star::awt::MenuItemType | getItemType ([in] short nItemPos)
| retrieves the type of the menu item.
void | enableItem ([in] short nItemId, [in] boolean bEnable)
| enables or disables the menu item.
boolean | isItemEnabled ([in] short nItemId)
| returns the state of the menu item.
void | hideDisabledEntries ([in] boolean bHide)
| specifies whether disabled menu entries should be hidden, or not.
void | enableAutoMnemonics ([in] boolean bEnable)
| specifies whether mnemonics are automatically assigned to menu items, or not.
void | setItemText ([in] short nItemId, [in] string aText)
| sets the text for the menu item.
string | getItemText ([in] short nItemId)
| returns the string for the given item id.
void | setCommand ([in] short nItemId, [in] string aCommand)
| sets the command string for the menu item.
string | getCommand ([in] short nItemId)
| retrieves the command string for the menu item.
void | setHelpCommand ([in] short nItemId, [in] string aCommand)
| sets the help command string for the menu item.
string | getHelpCommand ([in] short nItemId)
| retrieves the help command string for the menu item.
void | setHelpText ([in] short nItemId, [in] string sHelpText)
| sets the help text for the menu item.
string | getHelpText ([in] short nItemId)
| retrieves the help text for the menu item.
void | setTipHelpText ([in] short nItemId, [in] string sTipHelpText)
| sets the tip help text for the menu item.
string | getTipHelpText ([in] short nItemId)
| retrieves the tip help text for the menu item.
boolean | isPopupMenu ()
| checks whether an XMenu is an XPopupMenu.
void | setPopupMenu ([in] short nItemId, [in] XPopupMenu aPopupMenu)
| sets the popup menu for a specified menu item.
XPopupMenu | getPopupMenu ([in] short nItemId)
| returns the popup menu from the menu item.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

identifies a menu bar.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XMenuBar.idl